Get your transactional email activity aggregated over a period of time

This endpoint will show the aggregated stats for past 90 days by default if startDate and endDate OR days is not passed. The date range can not exceed 90 days

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Query parameters

startDatestringOptional

Mandatory if endDate is used. Starting date of the report (YYYY-MM-DD). Must be lower than equal to endDate

endDatestringOptional

Mandatory if startDate is used. Ending date of the report (YYYY-MM-DD). Must be greater than equal to startDate

dayslongOptional<=90

Number of days in the past including today (positive integer, maximum 90). Not compatible with ‘startDate’ and ‘endDate’. Defaults to 90 if neither dates nor days are provided.

tagstringOptional
Tag of the emails

Response

Aggregated report informations
blockedlongOptional
Number of blocked contact emails for the timeframe
clickslongOptional
Number of clicks for the timeframe
deliveredlongOptional
Number of delivered emails for the timeframe
hardBounceslongOptional
Number of hardbounces for the timeframe
invalidlongOptional
Number of invalid emails for the timeframe
openslongOptional
Number of openings for the timeframe
rangestringOptional
Time frame of the report
requestslongOptional
Number of requests for the timeframe
softBounceslongOptional
Number of softbounces for the timeframe
spamReportslongOptional

Number of complaint (spam report) for the timeframe

uniqueClickslongOptional
Number of unique clicks for the timeframe
uniqueOpenslongOptional
Number of unique openings for the timeframe
unsubscribedlongOptional
Number of unsubscribed emails for the timeframe

Errors

400
Bad Request Error